/**
 * Alternative CellMeasurer `cellSizeCache` implementation for lists with uniform (but unknown) cell width or height.
 * Permanently caches cell sizes until explicitly cleared.
 */
var UniformSizeCellSizeCache = function () {
  function UniformSizeCellSizeCache() {
    babelHelpers.classCallCheck(this, UniformSizeCellSizeCache);
  }

  babelHelpers.createClass(UniformSizeCellSizeCache, [{
    key: "clearAllColumnWidths",
    value: function clearAllColumnWidths() {
      this._cachedColumnWidth = undefined;
    }
  }, {
    key: "clearAllRowHeights",
    value: function clearAllRowHeights() {
      this._cachedRowHeight = undefined;
    }
  }, {
    key: "clearColumnWidth",
    value: function clearColumnWidth(index) {
      this._cachedColumnWidth = undefined;
    }
  }, {
    key: "clearRowHeight",
    value: function clearRowHeight(index) {
      this._cachedRowHeight = undefined;
    }
  }, {
    key: "getColumnWidth",
    value: function getColumnWidth(index) {
      return this._cachedColumnWidth;
    }
  }, {
    key: "getRowHeight",
    value: function getRowHeight(index) {
      return this._cachedRowHeight;
    }
  }, {
    key: "hasColumnWidth",
    value: function hasColumnWidth(index) {
      return !!this._cachedColumnWidth;
    }
  }, {
    key: "hasRowHeight",
    value: function hasRowHeight(index) {
      return !!this._cachedRowHeight;
    }
  }, {
    key: "setColumnWidth",
    value: function setColumnWidth(index, width) {
      this._cachedColumnWidth = width;
    }
  }, {
    key: "setRowHeight",
    value: function setRowHeight(index, height) {
      this._cachedRowHeight = height;
    }
  }]);
  return UniformSizeCellSizeCache;
}();

export default UniformSizeCellSizeCache;